Bug 136088 - New ports: databases/mysql-workbench51 databases/mysql-workbench52
New ports: databases/mysql-workbench51 databases/mysql-workbench52
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pgollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 13:10 UTC by gelraen.ua
Modified: 2009-07-14 01:51 UTC (History)
0 users

See Also:


Attachments
file.shar (67.27 KB, text/plain)
2009-06-27 13:10 UTC, gelraen.ua
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gelraen.ua 2009-06-27 13:10:01 UTC
MySQL Workbench is a cross-platform, visual database design tool developed by MySQL. It is the highly anticipated successor application of the DBDesigner4 project.

WWW: http://dev.mysql.com/workbench/

Special thanks to Mykola Dzham for testing and advices.

Fix: Patch attached with submission follows:
Comment 1 gelraen.ua 2009-06-27 19:26:41 UTC
I've missed that some files was in DOS format, and gnats stripped \r's
from shar :(
Next patch should fix this

--- mysql-workbench51/Makefile.orig     2009-06-27 21:06:16.000000000 +0300
+++ mysql-workbench51/Makefile  2009-06-27 21:19:16.000000000 +0300
@@ -29,6 +29,8 @@
 ACLOCAL_ARGS=
 AUTOCONF_ARGS=
 SUBDIRS=       ext/yassl/taocrypt ext/yassl .
+USE_DOS2UNIX=  yes
+DOS2UNIX_REGEX=        .*ext/yassl/.*(Makefile.am|configure.in)

 OPTIONS=       PYTHON  "Enable Python scripting and modules" off
Comment 2 pgollucci freebsd_committer 2009-07-08 04:24:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 3 gelraen.ua 2009-07-09 13:03:04 UTC
Update to 5.1.16

--- mysql-workbench51/Makefile.orig       2009-07-09 13:05:02.000000000 +0300
+++ mysql-workbench51/Makefile    2009-07-09 14:04:57.000000000 +0300
@@ -6,7 +6,7 @@
 #

 PORTNAME=      mysql-workbench-oss
-PORTVERSION?=  5.1.15
+PORTVERSION?=  5.1.16
 CATEGORIES=    databases
 MASTER_SITES=  ${MASTER_SITE_MYSQL}
 MASTER_SITE_SUBDIR=    MySQLGUITools
--- mysql-workbench51/distinfo.orig       2009-06-26 23:00:52.000000000 +0300
+++ mysql-workbench51/distinfo    2009-07-09 13:05:54.000000000 +0300
@@ -1,3 +1,3 @@
-MD5 (mysql-workbench-oss-5.1.15.tar.gz) = 675ea3e720a1b57bea5093c96f3455e4
-SHA256 (mysql-workbench-oss-5.1.15.tar.gz) =
951a99385da65e852bb8c6cafbf18a61780cab8d5ab15f35cfc7359b3ba9ad84
-SIZE (mysql-workbench-oss-5.1.15.tar.gz) = 12404269
+MD5 (mysql-workbench-oss-5.1.16.tar.gz) = e2f4ddea185e6988887d28a62e7cbbb5
+SHA256 (mysql-workbench-oss-5.1.16.tar.gz) =
114767f2a82730f009c748d4905fa94b1564fd9653e66a8ef20502475140ff12
+SIZE (mysql-workbench-oss-5.1.16.tar.gz) = 12419040
Comment 4 pgollucci freebsd_committer 2009-07-14 00:14:21 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 5 pgollucci freebsd_committer 2009-07-14 00:14:35 UTC
State Changed
From-To: closed->open

has 2 parts
Comment 6 pgollucci freebsd_committer 2009-07-14 01:51:23 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!